## bombardier 0.8.2

=== debian/changelog ===
bombardier (0.8.2) unstable; urgency=high

  * small typo fixes, because woody is near

 -- RISKO Gergely <risko@debian.org>  Sun, 14 Apr 2002 17:23:50 +0200

bombardier (0.8.1) unstable; urgency=low

  * newline (funcs.h, bombardier.h) fixes

 -- RISKO Gergely <risko@debian.org>  Thu, 23 Aug 2001 12:59:32 +0200

bombardier (0.8) unstable; urgency=low

  * alpha fixes (closes: Bug#104204 Bug#95009)
  * x-ramaty fixes (closes: Bug#93314 Bug#104200)

 -- RISKO Gergely <risko@debian.org>  Sat, 21 Jul 2001 20:00:00 +0200

bombardier (0.7.2) unstable; urgency=low

  * FHS violation bugfix (closes: Bug#92512)

 -- RISKO Gergely <risko@debian.org>  Mon,  2 Apr 2001 23:06:55 +0200

bombardier (0.7-1) unstable; urgency=low

  * resize bug fixed (closes: Bug#82234)
    Oh, this bugfix is not an April 1 joke!
    I really hope that Ocsi's mother will get better! ;)
  * speed after restart fixed
  * names changed from Lenart, Janos to LENART Janos form and from Gergely 
    Risko to RISKO Gergely form.
  * the dh_suidregister removed

 -- RISKO Gergely <risko@debian.org>  Wed, 31 Mar 2001 21:34:00 +0200
 

bombardier (0.6-1) unstable; urgency=low

  * manpage included
  * debian/menu included
  * ugly "Dedicated space..." removed

 -- Gergely Risko <risko@debian.org>  Wed, 13 Dec 2000 21:38:16 +0100

bombardier (0.5-1) unstable; urgency=low

  * the terminal is too narrow problem fixed (thanks Chris) (closes: Bug#77826)

 -- Gergely Risko <risko@debian.org>  Thu, 23 Nov 2000 21:55:52 +0100

bombardier (0.4-1) unstable; urgency=low

  * Upstream update.
  * Build-Depends added. (thanks Martin ;) )
  * E-mail address changed.
  
 -- Gergely Risko <risko@debian.org>  Mon, 19 Nov 2000 20:27:00 +0100

bombardier (0.3-1) unstable; urgency=low

  * Upstream update.
  
 -- Gergely Risko <risko@atom.hu>  Mon, 29 Oct 2000 22:27:00 +0200

bombardier (0.2-1) unstable; urgency=low

  * Upstream update.
  * The package is also good for policy 3.1.1.0 so control was changed.
  
 -- Gergely Risko <risko@atom.hu>  Wed, 25 Oct 2000 21:40:00 +0200

bombardier (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Gergely Risko <risko@atom.hu>  Sat, 21 Oct 2000 23:43:00 +0200

Local variables:
mode: debian-changelog
End:

## bombardier 0.8.2.1

=== debian/changelog ===
bombardier (0.8.2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359366). 
  * Add Upstream Author to copyright file (Closes: #302952).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Wed, 12 Jul 2006 12:54:45 +0200

## bombardier 0.8.2.2

=== Makefile ===
CC=gcc
CFLAGS=-Wall -g -Werror -O2
LDFLAGS=-lncurses -g
OBJS=bombardier.o display.o date.o randomhouse.o step.o hof.o signal.o gcurses.o
DESTDIR=/

all: bombardier

bombardier: texts.h $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS)

texts.h: texts.en
	./txttotextsh.pl <texts.en >texts.h

clean:
	rm -f $(OBJS) bombardier texts.h

$(OBJS): *.h VERSION

install:
	install -d $(DESTDIR)/usr/games
	install bombardier $(DESTDIR)/usr/games
	chgrp games $(DESTDIR)/usr/games/bombardier
	chmod 2755 $(DESTDIR)/usr/games/bombardier
	install -d $(DESTDIR)/var/games/bombardier
	chgrp games $(DESTDIR)/var/games/bombardier
	chmod 775 $(DESTDIR)/var/games/bombardier
	install -d $(DESTDIR)/usr/share/man/man6
	install bombardier.6 $(DESTDIR)/usr/share/man/man6

=== debian/changelog ===
bombardier (0.8.2.2) unstable; urgency=low

  * Non-maintainer upload.
  *s/PAQUETE/bombardier/g in postinst. Sorry.  

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Wed, 12 Jul 2006 21:36:35 +0200

=== debian/control ===
Source: bombardier
Section: games
Priority: optional
Maintainer: RISKO Gergely <risko@debian.org>
Build-Depends: libncurses5-dev, debhelper (>>2.0.0)
Standards-Version: 3.5.2

Package: bombardier
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: suidmanager (<< 0.50)
Description: The GNU Bombing utility
 This game is the same as the old bombardier game on Commodore Plus 4.
 This version supports hall of fame and more cities.

=== debian/rules ===
#!/usr/bin/make -f
#Rules file for bombardier (C) RISKO Gergely, 2001.
#Based on Joey Hess's example. Under GPL v2.

export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

binary-indep: build install

binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installmanpages
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -Xgames/bombardier
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## bombardier 0.8.2.2ubuntu1

=== debian/changelog ===
bombardier (0.8.2.2ubuntu1) karmic; urgency=low

  * Fixed warn_unused_result an __open_missing_mode errors (LP: #447967)

 -- Joao Pinto <joao.pinto@getdeb.net>  Sat, 10 Oct 2009 12:47:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bombardier
 Section: games
 Priority: optional
-Maintainer: RISKO Gergely <risko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: RISKO Gergely <risko@debian.org>
 Build-Depends: libncurses5-dev, debhelper (>>2.0.0)
 Standards-Version: 3.5.2

## bombardier 0.8.3%2Bnmu1ubuntu1

=== debian/control ===
Source: bombardier
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: RISKO Gergely <risko@debian.org>
Build-Depends: libncurses5-dev, debhelper (>>7)
Standards-Version: 3.8.3.0
Vcs-Browser: http://git.debian.org/?p=collab-maint/bombardier.git;a=summary
Vcs-Git: git://git.debian.org/collab-maint/bombardier.git

Package: bombardier
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The GNU Bombing utility
 This game is the same as the old Blitz16 game on Commodore 16/Plus 4,
 written by Simon Taylor.
 .
 The player is driving a plane that moves across the screen. When the
 plane reaches the right edge of the screen it starts again on the
 left side, but drops down one line.  Below is a cityscape composed of
 blocks. The player has to drop bombs from the plane, and each bomb
 which hits a building removes some blocks. As the plane descends it
 risks hitting any remaining blocks so priority has to be given to
 bombing the tallest buildings.  The level is completed when all
 blocks are removed and the plane has descended safely to the bottom
 of the screen.
 .
 Info about the original Blitz 16:
 http://plus4world.powweb.com/software/Blitz_16

## bombardier 0.8.3%2Bnmu3

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: bombardier
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: RISKO Gergely <risko@debian.org>
-Build-Depends: libncurses5-dev, debhelper (>>7)
-Standards-Version: 3.8.3.0
-Vcs-Browser: http://git.debian.org/?p=collab-maint/bombardier.git;a=summary
-Vcs-Git: git://git.debian.org/collab-maint/bombardier.git
+Maintainer: RISKO Gergely <risko@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ libncurses-dev,
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/debian/bombardier
+Vcs-Git: https://salsa.debian.org/debian/bombardier.git
 
 Package: bombardier
 Architecture: any

## bombardier 0.8.3%2Bnmu4

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -Wno-error=format-security

DPKG_EXPORT_BUILDFLAGS = 1
DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_fixperms:
	dh_fixperms -Xgames/bombardier

execute_after_dh_auto_install:
	# Let postinst handle content
	$(RM) -r $(CURDIR)/debian/bombardier/var/games/bombardier

## bombardier 0.8.3+nmu1

=== Makefile ===
# Bombardier
# The GNU Bombing utility
# Copyright (C) 2001, 2009 Gergely Risko
# Can be licensed under the terms of GPL v3 or above

CC=gcc
CFLAGS=-Wall -g -O2 -pedantic
LDFLAGS=-lncurses -g
OBJS=bombardier.o display.o date.o randomhouse.o step.o hof.o signal.o gcurses.o
DESTDIR=/

all: bombardier

bombardier: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS)

clean:
	rm -f $(OBJS) bombardier

$(OBJS): *.h VERSION texts.h

install:
	install -d $(DESTDIR)/usr/games
	install bombardier $(DESTDIR)/usr/games
	chgrp games $(DESTDIR)/usr/games/bombardier
	chmod 2755 $(DESTDIR)/usr/games/bombardier
	install -d $(DESTDIR)/var/games/bombardier
	chgrp games $(DESTDIR)/var/games/bombardier
	chmod 0755 $(DESTDIR)/var/games/bombardier
	install bdscore $(DESTDIR)/var/games/bombardier
	chgrp games $(DESTDIR)/var/games/bombardier/bdscore
	chown root $(DESTDIR)/var/games/bombardier/bdscore
	chmod 0664 $(DESTDIR)/var/games/bombardier/bdscore
	install -d $(DESTDIR)/usr/share/man/man6
	install bombardier.6 $(DESTDIR)/usr/share/man/man6

=== debian/changelog ===
bombardier (0.8.3+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Ship empty /var/games in the package, so the postinst won't fail
    when it tries to create /var/games/bombardier.
    Closes: #566525
  * Add ${misc:Depends} to Depends, thanks lintian.

 -- Evgeni Golov <evgeni@debian.org>  Wed, 10 Feb 2010 10:25:26 +0100

bombardier (0.8.3) unstable; urgency=low

  * Updated to standards-version 3.8.3.0.
  * Added gameplay to the description field in debian/control.
  * Removed obsolete conflict with suidmanager.
  * Added Vcs-{Browser,Git} to debian/control.
  * Removed obsolete debian/postinst.
  * Updated to use debhelper 7.
  * Removed the silly texts.en and txttotextsh.pl.
  * Updated copyright statements.
  * Do not compile with -Werror, it makes future compilations risky.
  * Updated README and the manpage.
  * Removed README.Debian.
  * Updated copyright to include the git pointer to collab-maint.
  * Include sys/stat.h, needed by fchmod constants (closes: #461821).
  * Fixed premissions of /var/games/bombardier/bdscore.
  * Handle creation/purge of default high score file from postinst/postrm.
  * Changed license to GPLv3.

 -- RISKO Gergely <risko@debian.org>  Sun, 11 Oct 2009 15:20:20 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,10 @@
 Section: games
 Priority: optional
 Maintainer: RISKO Gergely <risko@debian.org>
-Build-Depends:
- debhelper-compat (= 13),
- libncurses-dev,
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/debian/bombardier
-Vcs-Git: https://salsa.debian.org/debian/bombardier.git
+Build-Depends: libncurses5-dev, debhelper (>>7)
+Standards-Version: 3.8.3.0
+Vcs-Browser: http://git.debian.org/?p=collab-maint/bombardier.git;a=summary
+Vcs-Git: git://git.debian.org/collab-maint/bombardier.git
 
 Package: bombardier
 Architecture: any

## bombardier 0.8.3+nmu1ubuntu1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 all: bombardier
 
 bombardier: $(OBJS)
-	$(CC) $(LDFLAGS) -o $@ $(OBJS)
+	$(CC) -o $@ $(OBJS) $(LDFLAGS)
 
 clean:
 	rm -f $(OBJS) bombardier

=== debian/changelog ===
bombardier (0.8.3+nmu1ubuntu1) natty; urgency=low

  * Correct linking order to prevent FTBFS with newest toolchain.

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 31 Jan 2011 17:34:05 +0100

## bombardier 0.8.3+nmu1ubuntu2

=== debian/changelog ===
bombardier (0.8.3+nmu1ubuntu2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:39:37 +0000

## bombardier 0.8.3+nmu1ubuntu3

=== debian/changelog ===
bombardier (0.8.3+nmu1ubuntu3) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:15:30 +0000

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs var/games
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms -Xgames/bombardier
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## bombardier 0.8.3+nmu1ubuntu4

=== debian/changelog ===
bombardier (0.8.3+nmu1ubuntu4) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:13:37 +0000

## bombardier 0.8.3+nmu2

=== Makefile ===
--- 
+++ 
@@ -5,14 +5,15 @@
 
 CC=gcc
 CFLAGS=-Wall -g -O2 -pedantic
-LDFLAGS=-lncurses -g
+LDFLAGS=-g
+LIBS=-lncurses
 OBJS=bombardier.o display.o date.o randomhouse.o step.o hof.o signal.o gcurses.o
 DESTDIR=/
 
 all: bombardier
 
 bombardier: $(OBJS)
-	$(CC) -o $@ $(OBJS) $(LDFLAGS)
+	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)
 
 clean:
 	rm -f $(OBJS) bombardier

=== debian/changelog ===
bombardier (0.8.3+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTCBFS. (Closes: #923149)
    - Thanks to Helmut Grohne
  * Fix ftbfs. (Closes: #925646)
    - Thanks to Reiner Herrmann

  [ Boyuan Yang ]
  * debian/control: Update Vcs-* fields.
  * debian/: Delete autogenerated files.
  * debian/source/format: Use "3.0 (native)" format.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 20 Feb 2020 20:13:46 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: RISKO Gergely <risko@debian.org>
 Build-Depends: libncurses5-dev, debhelper (>>7)
 Standards-Version: 3.8.3.0
-Vcs-Browser: http://git.debian.org/?p=collab-maint/bombardier.git;a=summary
-Vcs-Git: git://git.debian.org/collab-maint/bombardier.git
+Vcs-Browser: https://salsa.debian.org/debian/bombardier
+Vcs-Git: https://salsa.debian.org/debian/bombardier.git
 
 Package: bombardier
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE)
+	dh_auto_build
 	touch build-stamp
 
 clean:

## bombardier 0.8.3+nmu3

=== debian/changelog ===
bombardier (0.8.3+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Migrate to dh syntax.
  * Makefile: Fix FTBFS with ld.gold. (Closes: #611647)
  * Makefile: Also accept external build environment variables.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Jan 2021 18:40:39 -0500

## bombardier 0.8.3+nmu4

=== Makefile ===
--- 
+++ 
@@ -3,17 +3,17 @@
 # Copyright (C) 2001, 2009 Gergely Risko
 # Can be licensed under the terms of GPL v3 or above
 
-CC=gcc
-CFLAGS=-Wall -g -O2 -pedantic
-LDFLAGS=-g
+CC ?= gcc
+CFLAGS ?= -Wall -g -O2 -pedantic
+LDFLAGS ?= -g
 LIBS=-lncurses
 OBJS=bombardier.o display.o date.o randomhouse.o step.o hof.o signal.o gcurses.o
-DESTDIR=/
+DESTDIR ?= /
 
 all: bombardier
 
 bombardier: $(OBJS)
-	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)
+	$(CC) -o $@ $(OBJS) $(LDFLAGS) $(LIBS)
 
 clean:
 	rm -f $(OBJS) bombardier

=== debian/changelog ===
bombardier (0.8.3+nmu4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Niels Thykier ]
  * Declare explicit need for fakeroot due to non-root:root ownership
    (Closes: #1089297)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 18:23:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: games
 Priority: optional
 Maintainer: RISKO Gergely <risko@debian.org>
-Build-Depends: libncurses5-dev, debhelper (>>7)
-Standards-Version: 3.8.3.0
+Build-Depends:
+ debhelper-compat (= 13),
+ libncurses-dev,
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/bombardier
 Vcs-Git: https://salsa.debian.org/debian/bombardier.git

## bombardier 0.8.4

=== debian/changelog ===
bombardier (0.8.4) unstable; urgency=medium

  * Salvage game inside Games Team (Closes: #1118782)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Nov 2025 20:31:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,23 @@
 Source: bombardier
 Section: games
 Priority: optional
-Maintainer: RISKO Gergely <risko@debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders:
+ Alexandre Detiste <tchet@debian.org>,
+ RISKO Gergely <risko@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  libncurses-dev,
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/debian/bombardier
-Vcs-Git: https://salsa.debian.org/debian/bombardier.git
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/games-team/bombardier
+Vcs-Git: https://salsa.debian.org/games-team/bombardier.git
 
 Package: bombardier
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: The GNU Bombing utility
  This game is the same as the old Blitz16 game on Commodore 16/Plus 4,
  written by Simon Taylor.

## bombardier 0.8.5

=== debian/changelog ===
bombardier (0.8.5) unstable; urgency=medium

  * Disable useless Salsa CI jobs
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Copyright review, rewrite in machine-parsable format

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Dec 2025 19:01:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: bombardier
 Section: games
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Alexandre Detiste <tchet@debian.org>,
@@ -9,7 +8,7 @@
  debhelper-compat (= 13),
  libncurses-dev,
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/games-team/bombardier
 Vcs-Git: https://salsa.debian.org/games-team/bombardier.git
